Вход на сайт



службы мониторинга серверов Яндекс.Метрика
Russian English Ukrainian
Подпишитесь на ленту и все новости сайта Вы узнаете первыми!
Самые последние статьи сайта

qr_droid_59943

Главная Новое в Joomla Статьи о Joomla Какая версия Joomla предпочтительнее для установки?
Какая версия Joomla предпочтительнее для установки?

Какую версию Joomla выбрать для установки? На данный момент их имеется немало, например, Joomla 1.0, Joomla 1.5, уже вышла и версия 1.6 и т. д. Так вот в данной статье мы поговорим о том, какую версию CMS Joomla оптимальнее установить. О версии 1.6 я пока говорить не буду, т.к. сам еще не пробовал, а тем более она еще сыровата говорят!

 

Давайте сравним версии 1.0 и 1.5. На первый взгляд может показаться, что разница между этими двумя версиями только в их номерах. Однако на практике это два совершенно разных движка.

Joomla версии 1.0 это так же мамба, только немного переделанная. А вот Joomla 1.5 была разработана с нуля в течение двух лет. До сих пор на эту версию ставят заплатки, но полностью так никак и не залатают. За время ее существования вышло более десятка обновлений, первая цель которых закрыть выявленные уязвимости. Но это касается профессионалов, а так, вообще-то версия очень даже ничего!

По требовательности к хостингу Joomla 1.5 более требовательна. Она нуждается в более мощном сервере, потому что объем данных для передачи в этой версии CMS практически удвоился. Поэтому и места на жестком диске для нее нужно больше.

Можно сравнивать до бесконечности, но в конечном итоге будет ясно одно – в равных условиях Joomla 1.5 работает намного медленнее, чем версия 1.0.

Установка Joomla 1.0 позволяет реализовать нужный потенциал для сайта с помощью соответствующего расширения. То есть эта CMS проще простого в любом отношении.

А вот в версии 1.5 с простотой туговато. Здесь полностью переписан движок, под который нужно переделывать и расширения. Поэтому не все расширения Joomla 1.0 подходят для версии 1.5. А те, которые и подходят, далеко не всегда корректно работают. Legacy или режим совместимости позволяет запускать в версии 1.5 расширения для версии 1.0, но на самом деле это не всегда то, что надо.

Поэтому для тех, кто не имеет возможности установить последние версии CMS или не обладает достаточными для этого знаниями, мы рекомендуем начать с самого простого – установки Joomla 1.0. На ее основе можно создать вполне функциональные проекты, которые будут стабильно и нормально работать.

Выбирать конечно Вам, но я рекомендую - 1.5! Дерзайте!

 

Copyright © 2011 "KSW-создание сайтов". При полном или частичном использовании материалов кликабельная ссылка на https://ksw.net.ua обязательна.